# Class CIM_AFRelatedServices

The IETF's RFC2597 describes a Differentiated Services Per-Hop-Behavior (PHB) Group called Assured Forwarding (AF). Quoting from the RFC, 'The AF PHB group provides delivery of IP packets in four independently forwarded AF classes. Within each AF class, an IP packet can be assigned one of three different levels of drop precedence.' The AFRelatedServices association describes the precedence of the individual AF drop-related Services within an AF IP packet-forwarding class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_AFRelatedServices

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

The IETF's RFC2597 describes a Differentiated Services Per-Hop-Behavior (PHB) Group called Assured Forwarding (AF). Quoting from the RFC, 'The AF PHB group provides delivery of IP packets in four independently forwarded AF classes. Within each AF class, an IP packet can be assigned one of three different levels of drop precedence.' The AFRelatedServices association describes the precedence of the individual AF drop-related Services within an AF IP packet-forwarding class.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
AFHigherDropPrecedence | CIM_AFRelatedServices | CIM_AFService
AFLowerDropPrecedence | CIM_AFRelatedServices | CIM_AFService

## Class Methods